MagickCore: gem.h File Reference

# gem.h File Reference

Go to the source code of this file.

## Functions
MagickExport double | ExpandAffine (const AffineMatrix *)
MagickExport unsigned long | GetOptimalKernelWidth (const double, const double)
MagickExport unsigned long | GetOptimalKernelWidth1D (const double, const double)
MagickExport unsigned long | GetOptimalKernelWidth2D (const double, const double)
MagickExport void | ConvertHSBToRGB (const double, const double, const double, Quantum *, Quantum *, Quantum *)
MagickExport void | ConvertHSLToRGB (const double, const double, const double, Quantum *, Quantum *, Quantum *)
MagickExport void | ConvertHWBToRGB (const double, const double, const double, Quantum *, Quantum *, Quantum *)
MagickExport void | ConvertRGBToHSB (const Quantum, const Quantum, const Quantum, double *, double *, double *)
MagickExport void | ConvertRGBToHSL (const Quantum, const Quantum, const Quantum, double *, double *, double *)
MagickExport void | ConvertRGBToHWB (const Quantum, const Quantum, const Quantum, double *, double *, double *)

## Function Documentation

MagickExport void ConvertHSBToRGB | ( | const | double,
|  | const | double,
|  | const | double,
|  | Quantum * | ,
|  | Quantum * | ,
|  | Quantum * |  |
| ) |  |  |

MagickExport void ConvertHSLToRGB | ( | const | double,
|  | const | double,
|  | const | double,
|  | Quantum * | ,
|  | Quantum * | ,
|  | Quantum * |  |
| ) |  |  |

MagickExport void ConvertHWBToRGB | ( | const | double,
|  | const | double,
|  | const | double,
|  | Quantum * | ,
|  | Quantum * | ,
|  | Quantum * |  |
| ) |  |  |

MagickExport void ConvertRGBToHSB | ( | const | Quantum,
|  | const | Quantum,
|  | const | Quantum,
|  | double * | ,
|  | double * | ,
|  | double * |  |
| ) |  |  |

MagickExport void ConvertRGBToHSL | ( | const | Quantum,
|  | const | Quantum,
|  | const | Quantum,
|  | double * | ,
|  | double * | ,
|  | double * |  |
| ) |  |  |

MagickExport void ConvertRGBToHWB | ( | const | Quantum,
|  | const | Quantum,
|  | const | Quantum,
|  | double * | ,
|  | double * | ,
|  | double * |  |
| ) |  |  |

MagickExport double ExpandAffine | ( | const AffineMatrix * |  | ) |

MagickExport unsigned long GetOptimalKernelWidth | ( | const | double,
|  | const | double |
| ) |  |  |

MagickExport unsigned long GetOptimalKernelWidth1D | ( | const | double,
|  | const | double |
| ) |  |  |

MagickExport unsigned long GetOptimalKernelWidth2D | ( | const | double,
|  | const | double |
| ) |  |  |